package com.zm.order.tool.server.message;

import com.alibaba.fastjson.JSON;

import java.io.Serializable;

/**
 * 订单批量同步消息
 *
 * @author nianchang
 * @ClassName BatchSyncEsMessage
 * @date 2021/07/07 4:00 下午
 */
public class BatchSyncEsMessage implements Serializable {

    private static final long serialVersionUID = -2144346372050197009L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    private String orderNo;

    private Integer orderSubType;

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Integer getOrderSubType() {
        return orderSubType;
    }

    public void setOrderSubType(Integer orderSubType) {
        this.orderSubType = orderSubType;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
